Subject: Re: [Fwd: [EME] The virtual circuit trap mentioned in the EME charter - need for clarification]

From: Rémi Després <[email-masked]>
Date: Tue, 14 Nov 2006 11:15:11 +0100

Thanks.
Further comments below.
Rémi

Tilman Wolf wrote:
> Remi,
> 
> I have to admit that I didn't write the charter. I have tried contacting 
> Paul Francis a couple of days ago to see if he has any comments on your 
> question, but I haven't heard from him, yet.
>
  I look forward to what Paul can add on the subject.

> The statement in the charter implies that virtual circuit approaches to 
> handling middleboxes require coordination of all entities involved with 
> a given circuit, which may limit the ability of a middlebox to make 
> local decisions.
  In fact, virtual circuits (VCs) crossing composite point-to-point 
links need no signaling with intermediate link boxes (e.g. two neighbor 
VC-switches across an IEEE-802 MAC-layer can ignore MAC-layer switches).
  Also, an X.25 VC-switch can  reset its link(s) to any neighbor(s) at 
any time. It is guaranteed that no VC thus cleared will ever reappear.
  In my understanding, a TCP session on a LAN-NAT-WAN-LAN path can 
usefully be viewed as a VC, established along an EME path. On it, VC 
label switching is performed on combinations of IP addresses and TCP/UDP 
port numbers.

It may not be desirable to limit our scope to virtual
> circuits because we also want to consider off-path signaling, but 
> clearly there will be some similarities in the signaling approach.
  IMHO, excluding the VC heritage would be counterproductive.
  VCs have been found inappropriate largely based on the end-to-end 
argument. But the EME group raison d'etre is precisely to go beyond the 
E2E paradigm.
  While the EME scope should clearly not be "limited to" on-path 
signaling, it should not either "exclude" it, be it indirectly.
  In summary, I suggest that, unless a new explanation justifies it, the 
negative sentence about VCs, as it is, should explicitly be made 
ignorable (or better would be deleted if the chatter can be updated?).
> 
> Tilman
> 
> Rémi Després wrote:
>> As author or co-author of the charter, could you be the one who 
>> provides  some insight on the question below?
>> RD
>>
>>
>> -------- Message original --------
>> Sujet: [EME] The virtual circuit trap mentioned in the EME charter - 
>> need for clarification
>> Date: Thu, 09 Nov 2006 16:45:26 +0100
>> De: Rémi Després <[email-masked]>
>> Copie: [email-masked]
>> Références: <[email-masked]>
>>
>> The EME charter seems to me very pertinent, and I like its clarification
>> of some real problems.
>> Although I have been involved in Internet protocols for years, and have
>> been active in the 70s.on virtual circuits (by the way operational
>> worldwide, and very successful, in the 80s-early 90s), I don't
>> understand the sentence of the charter: which says "Candidate protocols
>> should avoid falling into the virtual circuit trap, where routers  lose
>> the ability to remedy failures locally".
>>
>> Could anyone, clarify what is meant?
>>
>> In particular,: is it understood that NATs have fallen into that trap,
>> or have avoided it ?
>>
>> Thanks.
>>
>> Rémi Després
>>
>>
>> _______________________________________________
>> EME mailing list
>> [email-masked]
>> https://www1.ietf.org/mailman/listinfo/eme
>>
>>
>>
> 

_______________________________________________
EME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/eme